<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['gazelle.PAMSimulator.ImportFHIRPatientResources']}</h1>
        <h:form>
            <s:div id="globalDiv">
                <gri:panel pid="upPanel">
                    <f:facet name="header">#{messages['gazelle.PAMSimulator.FileImport']}</f:facet>
                    <h:outputText
                            value="#{messages['gazelle.PAMSimulator.ToImportPatientsWithinTheToolUploadPatientOrBund']}"
                            styleClass="help-block"/>
                    <a4j:region id="uploadRegion">
                        <rich:fileUpload fileUploadListener="#{importPatientResourceManager.fileUploadListener}"
                                         maxFilesQuantity="10" id="upload" immediateUpload="true" acceptedTypes="xml,json,zip"
                                         listHeight="50px">
                            <a4j:ajax event="uploadcomplete" render="globalDiv"/>
                        </rich:fileUpload>
                    </a4j:region>
                    <s:div rendered="#{importPatientResourceManager.failedOnError}" styleClass="gzl-alert gzl-alert-red">
                        <h:outputText value="#{messages['gazelle.PAMSimulator.TheImportOfPatientsFailedForTheFollowingReasons']}"/>
                        <br/>
                        <ul>
                        <a4j:repeat value="#{importPatientResourceManager.errorMessages}" var="msg">
                            <li><h:outputText value="#{msg}"/></li>
                        </a4j:repeat>
                        </ul>
                    </s:div>
                </gri:panel>
                <gri:panel id="patientsPanel" rendered="#{importPatientResourceManager.displayPatientList()}">
                    <f:facet name="header">#{messages['net.ihe.gazelle.patgen.ImportedPatients']}</f:facet>
                    <ui:include src="/patient/_patientTable.xhtml">
                        <ui:param name="patients" value="#{importPatientResourceManager.getImportedPatients()}"/>
                    </ui:include>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>